#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 2

Summary:        KDE Frameworks 5 tier 3 solution for process launching
Name:           kinit
Version: 5.32.0
Release:        %mkrel %rel
License:        GPLv2+
Group:          System/Base
URL:            https://www.kde.org/
Source0:        http://fr2.rpmfind.net/linux/KDE/unstable/framework/%{name}-%{version}.tar.xz

BuildRequires:  kf5-macros

BuildRequires:  pkgconfig(Qt5Core)

BuildRequires:  kservice-devel >= %version
BuildRequires:  kio-devel >= %version
BuildRequires:  ki18n-devel >= %version
BuildRequires:  kcrash-devel >= %version
BuildRequires:  kconfig-devel >= %version
BuildRequires:  kcoreaddons-devel >= %version
BuildRequires:  kdbusaddons-devel >= %version
BuildRequires:  kbookmarks-devel >= %version
BuildRequires:  kconfigwidgets-devel >= %version
BuildRequires:  kauth-devel >= %version
BuildRequires:  kcodecs-devel >= %version
BuildRequires:  kguiaddons-devel >= %version
BuildRequires:  kwidgetsaddons-devel >= %version
BuildRequires:  kiconthemes-devel >= %version
BuildRequires:  kitemviews-devel >= %version
BuildRequires:  kxmlgui-devel >= %version
BuildRequires:  kglobalaccel-devel >= %version
BuildRequires:  ktextwidgets-devel >= %version
BuildRequires:  kcompletion-devel >= %version
BuildRequires:  kwindowsystem-devel >= %version
BuildRequires:  sonnet-devel >= %version
BuildRequires:  kjobwidgets-devel >= %version
BuildRequires:  solid-devel >= %version
BuildRequires:  kdoctools-devel >= %version
BuildRequires:  karchive-devel >= %version

BuildRequires:  pkgconfig(libcap)
BuildRequires:  libcap-utils
BuildRequires:  libxml2-utils
BuildRequires:  docbook-dtds
BuildRequires:  docbook-style-xsl

%description
KDE Frameworks 5 tier 3 solution for process launching.

%files -f %{name}5.lang
%_kf5_bindir/kdeinit5
%_kf5_bindir/kdeinit5_shutdown
%_kf5_bindir/kdeinit5_wrapper
%_kf5_bindir/kshell5
%_kf5_bindir/kwrapper5
%_kf5_libdir/libkdeinit5_klauncher.so
%_kf5_libexecdir/klauncher
%_kf5_libexecdir/start_kdeinit
%_kf5_libexecdir/start_kdeinit_wrapper
%_kf5_mandir/man?/kdeinit5.8.*
%_kf5_mandir/*/man?/kdeinit5.8.*

#--------------------------------------------------------------------

%define kf5init_devel %mklibname kf5init -d

%package -n %kf5init_devel

Summary:        Devel stuff for %name
Group:          Development/KDE and Qt
Requires:       %name = %version-%release
Provides:       %name-devel = %{version}-%{release}

%description -n %kf5init_devel
This package contains header files needed if you wish to build applications
based on %name.

%files -n %kf5init_devel
%_kf5_libdir/cmake/KF5Init/KF5InitConfig.cmake
%_kf5_libdir/cmake/KF5Init/KF5InitConfigVersion.cmake
%_kf5_libdir/cmake/KF5Init/KF5InitMacros.cmake
%_kf5_libdir/cmake/KF5Init/kde5init_dummy.cpp.in
%_datadir/dbus-1/interfaces/kf5_org.kde.KLauncher.xml

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%make_build

%install
%make_install -C build
%find_lang %{name}5


%changelog
* Tue Mar 07 2017 neoclust <neoclust> 5.32.0-2.mga6
+ Revision: 1089452
- Rebuild for ARM

* Mon Mar 06 2017 neoclust <neoclust> 5.32.0-1.mga6
+ Revision: 1088973
- New version 5.32.0

* Tue Dec 13 2016 neoclust <neoclust> 5.29.0-1.mga6
+ Revision: 1074544
- New version 5.29.0

* Sun Dec 04 2016 neoclust <neoclust> 5.28.0-1.mga6
+ Revision: 1072209
- New version 5.28.0

* Tue Oct 04 2016 neoclust <neoclust> 5.27.0-1.mga6
+ Revision: 1058364
- New version 5.27.0

* Thu Sep 15 2016 daviddavid <daviddavid> 5.26.0-2.mga6
+ Revision: 1053255
- enable Libcap support

* Thu Sep 08 2016 neoclust <neoclust> 5.26.0-1.mga6
+ Revision: 1050541
- New version 5.26.0

* Tue Aug 09 2016 neoclust <neoclust> 5.25.0-1.mga6
+ Revision: 1045119
- New version 5.25.0

* Tue Jul 12 2016 neoclust <neoclust> 5.24.0-1.mga6
+ Revision: 1041341
- New version 5.24.0

* Sun Jun 19 2016 tmb <tmb> 5.23.0-1.mga6
+ Revision: 1034631
- drop merged patches

  + neoclust <neoclust>
    - New version 5.23.0

* Thu Jun 09 2016 daviddavid <daviddavid> 5.22.0-2.mga6
+ Revision: 1020945
- add two upstream patches to fix a new security issue (kde#358593) (mga#18596)

* Thu May 12 2016 neoclust <neoclust> 5.22.0-1.mga6
+ Revision: 1014349
- New version 5.22.0

* Sat Apr 09 2016 neoclust <neoclust> 5.21.0-1.mga6
+ Revision: 999644
- New version 5.21.0

* Sun Mar 06 2016 neoclust <neoclust> 5.20.0-1.mga6
+ Revision: 986337
- New version 5.20.0

* Sun Feb 07 2016 neoclust <neoclust> 5.19.0-1.mga6
+ Revision: 942258
- New version 5.19.0

* Sun Jan 10 2016 neoclust <neoclust> 5.18.0-1.mga6
+ Revision: 921290
- New version 5.18.0

* Mon Dec 21 2015 neoclust <neoclust> 5.17.0-3.mga6
+ Revision: 913070
- Rebuild against Qt 5.6.0 Beta

* Mon Dec 14 2015 neoclust <neoclust> 5.17.0-2.mga6
+ Revision: 910543
- Rebuild as previous ones had been rejected by the BS

* Sun Dec 13 2015 neoclust <neoclust> 5.17.0-1.mga6
+ Revision: 909886
- New version 5.17.0

* Tue Nov 10 2015 neoclust <neoclust> 5.16.0-4.mga6
+ Revision: 900437
- Rebuild against fixed qtbase5

* Mon Nov 09 2015 neoclust <neoclust> 5.16.0-3.mga6
+ Revision: 899478
- Rebuild against fixed extra-cmake-modules

* Sun Nov 08 2015 neoclust <neoclust> 5.16.0-2.mga6
+ Revision: 898934
- New version 5.16.0

* Fri Oct 09 2015 neoclust <neoclust> 5.15.0-1.mga6
+ Revision: 888174
- New version 5.15.0

* Sat Sep 19 2015 neoclust <neoclust> 5.14.0-1.mga6
+ Revision: 881398
- New version 5.14.0

* Tue Aug 11 2015 neoclust <neoclust> 5.13.0-1.mga6
+ Revision: 862959
- New version 5.13.0

* Tue Aug 11 2015 neoclust <neoclust> 5.12.0-2.mga6
+ Revision: 862616
- Plasma Mass Rebuild - Rebuild for new kf5-macros

* Tue Jul 14 2015 neoclust <neoclust> 5.12.0-1.mga6
+ Revision: 853804
- New version 5.12.0

* Tue Jun 23 2015 neoclust <neoclust> 5.11.0-1.mga6
+ Revision: 841580
- New version 5.11.0

* Thu Dec 18 2014 neoclust <neoclust> 5.5.0-1.mga5
+ Revision: 803990
- New version 5.5.0

* Wed Oct 15 2014 umeabot <umeabot> 5.1.0-8.mga5
+ Revision: 750563
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 5.1.0-7.mga5
+ Revision: 681083
- Mageia 5 Mass Rebuild

* Wed Aug 13 2014 neoclust <neoclust> 5.1.0-6.mga5
+ Revision: 662304
- Remove wrong P0

* Mon Aug 11 2014 neoclust <neoclust> 5.1.0-5.mga5
+ Revision: 661802
- More fixes for P1

* Mon Aug 11 2014 neoclust <neoclust> 5.1.0-4.mga5
+ Revision: 661747
- Fix P1: Fix usage of ${CMAKE_INSTALL_FULL_LIBEXECDIR_KF5}

* Mon Aug 11 2014 neoclust <neoclust> 5.1.0-3.mga5
+ Revision: 661719
- Fix path to kdeinit5 binary

* Thu Aug 07 2014 neoclust <neoclust> 5.1.0-1.mga5
+ Revision: 660437
- New version 5.1.0

* Tue Jul 15 2014 neoclust <neoclust> 5.0.0-1.mga5
+ Revision: 652298
- New version 5.0.0
- New version 4.100.0
- New version 4.99.0

* Wed Apr 02 2014 neoclust <neoclust> 4.98.0-1.mga5
+ Revision: 611286
- New version 4.98.0

* Wed Mar 05 2014 neoclust <neoclust> 4.97.0-1.mga5
+ Revision: 599653
- New version 4.97.0

* Wed Feb 26 2014 neoclust <neoclust> 4.96.0-1.mga5
+ Revision: 597296
- imported package kinit

